# CUpti_ActivityMemset2 Struct Reference
[CUPTI Activity API]

The activity record for memset. (deprecated in CUDA 11.1). More...

## Data Fields

uint64_t | bytes
uint32_t | contextId
uint32_t | correlationId
uint32_t | deviceId
uint64_t | end
uint16_t | flags
uint64_t | graphNodeId
CUpti_ActivityKind | kind
uint16_t | memoryKind
void * | reserved0
uint64_t | start
uint32_t | streamId
uint32_t | value

## Detailed Description

This activity record represents a memory set operation (CUPTI_ACTIVITY_KIND_MEMSET).

## Field Documentation

uint64_t CUpti_ActivityMemset2::bytes

The number of bytes being set by the memory set.

uint32_t CUpti_ActivityMemset2::contextId

The ID of the context where the memory set is occurring.

uint32_t CUpti_ActivityMemset2::correlationId

The correlation ID of the memory set. Each memory set is assigned a unique correlation ID that is identical to the correlation ID in the driver API activity record that launched the memory set.

uint32_t CUpti_ActivityMemset2::deviceId

The ID of the device where the memory set is occurring.

uint64_t CUpti_ActivityMemset2::end

The end timestamp for the memory set, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory set.

uint16_t CUpti_ActivityMemset2::flags

The flags associated with the memset.

See also:
  CUpti_ActivityFlag

uint64_t CUpti_ActivityMemset2::graphNodeId

The unique ID of the graph node that executed this memset through graph launch. This field will be 0 if the memset is not executed through graph launch.

CUpti_ActivityKind CUpti_ActivityMemset2::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_MEMSET.

uint16_t CUpti_ActivityMemset2::memoryKind

The memory kind of the memory set

See also:
  CUpti_ActivityMemoryKind

void* CUpti_ActivityMemset2::reserved0

Undefined. Reserved for internal use.

uint64_t CUpti_ActivityMemset2::start

The start timestamp for the memory set, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory set.

uint32_t CUpti_ActivityMemset2::streamId

The ID of the stream where the memory set is occurring.

uint32_t CUpti_ActivityMemset2::value

The value being assigned to memory by the memory set.